namespace BibliotekaWspolna;

public interface ISerwisNorthwind
{
  Task<List<Customer>> PobierzKlientowAsync();
  Task<List<Customer>> PobierzKlientowAsync(string kraj);
  Task<Customer?> PobierzKlientaAsync(string id);
  Task<Customer> UtworzKlientaAsync(Customer k);
  Task<Customer> AktualizujKlientaAsync(Customer k);
  Task UsunKlientaAsync(string id);
}
